Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 29 Nov 2020 02:43:50 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have placed an order on 18 November 2020 (order #9615390418 to Nehal building al Qusias 2). Still I didn’t received the items. I was trying to contact 24 hours hot line always it says buzy not once or twice always.. in addition I o send message from help service last weeks automatic response came as I will be receiving my item in couple of days At that time. My point is we are not delaying to pay money whole ordering the goods we pay in advance and expecting the delivery to be happen on time. This is pathetic service I have experienced on such a big group. Need an immediate update on my dissatisfaction to continue the service in future. Pathetic hot line number it says 24*7 but it’s not at all..

iOS Version: 14.1
App Version: 9.2.7 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1775643